<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        function human(name,age){ //создала функцию-конструктор
            this.name=name;
            this.age=age;
        };
        //создала массив объектов
        let humans=[
        new human("T",28),
        new human("A",26),
        new human("S",50),
        new human("I",46)];
        //сортировка(по спаданию) с помощью метода sort()
        //для сорт.по возрастанию - a.age-b.age
humans.sort(function(a,b){
    return b.age-a.age 
});
for (let i=0;i<humans.length;i++){
document.write(`${humans[i].name} - ${humans[i].age} </br>`)};
/* document.write("Исходный массив:</br>");
for (let i=0;i<humans.length;i++){
        document.write(`${humans[i].name} - ${humans[i].age} </br>`);}
let maxAge=0;
for (let i=0;i<humans.length-1;i++){
    for(let j=0;j<humans.length-1;j++){
    if(humans[j].age<humans[j+1].age){
        maxAge=humans[j].age;
        humans[j].age=humans[j+1].age;
        humans[j+1].age=maxAge;}

    }
}
document.write("Oтсортированный:</br>")
for (let i=0;i<humans.length;i++){
        document.write(`${humans[i].name} - ${humans[i].age} </br>`);}  */
        </script>
</body>
</html>